Create Request
Introduction
API enables organizations to request GST analytics data for a specified time period by providing their GST identification number (GSTIN) and authentication credentials (username and password or OTP). The API supports two types of requests: "Lite" and "Standard." This document provides a comprehensive guide on how to use the Signzy API v2 to access GST analytics, including authentication, request parameters, and response format. By following the instructions provided in this document, developers can easily integrate Signzy's GST analytics API into their applications and access critical GST data.
Sample CURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../gstanalytics \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task": "createRequest", "type": "Lite", "essentials": { "authType": "PASSWORD || OTP", "gstin": [ "<<>gstin_of_organization>" ], "username": [ "<<username>>" ], "password": [ "<<password>>" ], "fromDate": [ "012022" ], "toDate": [ "022022" ], "callBackUrl": "callBackUrl" }}'Parameter | Type | Required | Description |
|---|---|---|---|
url | string | Yes | The endpoint for the GST Analytics service, with a placeholder for the patron ID. |
Accept | string | No | Specifies the types of responses that are acceptable to the client. |
Accept-Language | string | No | Specifies the preferred natural language of the response. |
Authorization | string | Yes | The access token to authenticate the API request. |
content-type | string | Yes | The format of the request payload. In this case, it is application/json. |
task | string | Yes | The task to be performed by the API. In this case, it is createRequest. |
type | string | Yes | The type of the request. It can be Lite or Standard. |
authType | string | Yes | The type of authentication to be used. It can be PASSWORD or OTP. |
gstin | string | Yes | The GST identification number of the organization for which the data is requested. |
username | string | Yes | The username of the account for which the data is requested. |
password | string | Yes | The password or OTP for the account for which the data is requested. |
fromDate | string | Yes | The starting date of the data range, in the format MMYYYY. |
toDate | string | Yes | The ending date of the data range, in the format MMYYYY. |
callBackUrl | string | Yes | The URL to which the API should send the response. |
Sample API Response
1. In case of password based approach
{
"task": "createRequest",
"type": "Lite",
"essentials": {
"authType": "PASSWORD",
"gstin": [
"gstin"
],
"username": [
"portal_username"
],
"password": [
"Portal_password"
],
"fromDate": [
"from_which_date"
],
"toDate": [
"to_which_date"
],
"callbackUrl": [
"Callback_uri"
]
},
"id": "",
"patronId": "",
"refId": "",
"requestId": request_id //this requestId will be usd to fetch the data
}
2. In case of OTP based approach
{
"task": "createRequest",
"type": "Lite",
"essentials": {
"authType": "OTP",
"gstin": [
"gstin"
],
"username": [
"portal_username"
],
"fromDate": [
"from_which_date"
],
"toDate": [
"to_which_date"
],
"callbackUrl": [
"Callback_uri"
]
},
"id": "",
"patronId": "",
"resultCreateResponse": "GST OTP generation successful.",
"requestId": request_id //this requestId will be usd to fetch the data
}Parameter | Description |
|---|---|
task | Indicates the type of task for which the API request was made, i.e., "createRequest". |
type | Indicates the type of request made, i.e., "Lite". |
authType | Indicates the type of authentication used, either "PASSWORD" or "OTP". |
gstin | An array that contains the GSTIN (Goods and Services Tax Identification Number) of the organization. |
username | An array that contains the portal username of the organization. |
password | An array that contains the portal password of the organization. |
fromDate | An array that contains the starting date from which data is to be fetched in MMYYYY format. |
toDate | An array that contains the end date till which data is to be fetched in MMYYYY format. |
callbackUrl | An array that contains the URI to which the response is to be sent. |
id | The unique ID of the response. |
patronId | The unique ID of the patron who made the request. |
refId | The reference ID of the response. |
resultCreateResponse | If the authentication type is "OTP", this field indicates whether the GST OTP generation was successful or not. |
requestId | The unique ID of the request made. This ID is to be used to fetch the data. |